%global _default_patch_fuzz 2

%define alphatag                        20240820

Name:           tartan
Version:        0.4.0
Release:        0.2.%{alphatag}git
Summary:        Plugin for the Clang static analyser which adds support for GLib and GNOME
License:        BSD-2-Clause
URL:            https://gitlab.freedesktop.org/tartan/tartan

Source0:        %{name}-%{alphatag}.tar.gz
Patch0:         0001-Use-clang-17.patch

#git archive HEAD --prefix tartan-20240820/ --output /home/hughsie/rpmbuild/SOURCES/tartan-20240820.tar.gz

BuildRequires:  meson
BuildRequires:  clang17-devel
BuildRequires:  llvm17-devel
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel
BuildRequires:  glib2-devel

%description
Tartan is a plugin for the Clang static analyser and C compiler which adds tighter support for
GLib and GNOME, introducing extra checks and warnings when compiling C code which uses GLib.

%prep
%autosetup -p1 -n %{name}-%{alphatag}

%build

%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/tartan
%{_bindir}/tartan-build
%{_bindir}/tartan-json
%{_libdir}/tartan/17.0/libtartan.so

%changelog
%autochangelog
